Package org.eclipse.gef.mvc.fx.ui.parts

# Interface IDirtyStateProviderFactory

public interface IDirtyStateProviderFactory
A factory for the creation of an `IDirtyStateProvider`.

## Method Summary

Modifier and Type
Method
Description
`IDirtyStateProvider`
`create(IWorkbenchPart workbenchPart)`
Creates a new `IDirtyStateProvider` for the given `IWorkbenchPart`.

## Method Details

### create

IDirtyStateProvider create(IWorkbenchPart workbenchPart)
Creates a new `IDirtyStateProvider` for the given `IWorkbenchPart`.

Parameters:
  `workbenchPart` - The `IWorkbenchPart` the `IDirtyStateProvider` is related to.
Returns:
  A new `IDirtyStateProvider` instance.